# \Thelia\Log\DestinationTlogDestinationFile

## Summary

Methods
Properties
Constants
__construct()
getTitle()
getDescription()
getConfigs()
add()
write()
setConfig()
getConfig()
SetBackOfficeMode()
No public properties found
VAR_PATH_FILE
TLOG_DEFAULT_NAME
VAR_MODE
VALEUR_MODE_DEFAULT
configure()
InsertAfterBody()
$path_defaut
$fh
$_configs
$_logs
$flag_back_office
N/A
No private methods found
No private properties found
N/A

File
  Log/Destination/TlogDestinationFile.php
Package
  \Default
Class hierarchy
  \Thelia\Log\AbstractTlogDestination
  \Thelia\Log\Destination\TlogDestinationFile

## Tags

None found

## Constants

### VAR_PATH_FILE

    VAR_PATH_FILE

#

## Tags

None found

### TLOG_DEFAULT_NAME

    TLOG_DEFAULT_NAME

#

## Tags

None found

### VAR_MODE

    VAR_MODE

#

## Tags

None found

### VALEUR_MODE_DEFAULT

    VALEUR_MODE_DEFAULT

#

## Tags

None found

## Properties

### $path_defaut

    $path_defaut

#

## Tags

None found

### $fh

    $fh

#

## Tags

None found

### $_configs

    $_configs

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### $_logs

    $_logs

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### $flag_back_office

    $flag_back_office

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

## Methods

### __construct()

    __construct()

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getTitle()

    getTitle()

#

abstract

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getDescription()

    getDescription()

#

abstract

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getConfigs()

    getConfigs()

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### add()

    add( $string)

#### Parameters

| $string |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### write()

    write( $res)

#### Parameters

| $res |

#

abstract

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### setConfig()

    setConfig( $name,  $value)

#### Parameters

| $name |
| $value |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getConfig()

    getConfig( $name)

#### Parameters

| $name |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### SetBackOfficeMode()

    SetBackOfficeMode( $bool)

#### Parameters

| $bool |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### configure()

    configure()

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### InsertAfterBody()

    InsertAfterBody( $res,  $logdata)

#### Parameters

| $res |
| $logdata |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### TlogDestinationFile.php